## jansi-native 1.6

=== src/main/native-package/src/windows/Makefile ===
# Copyright (C) 2013, Red Had, Inc. and/or its 
# subsidiaries or affiliates.  All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# @author Mladen Turk
#
#
# ====================================================================
#
# Common params:
#                 CPU       Compile for specified CPU. Supported CPUs are:
#                           X86 (Common x86 architecture)
#                           X64 (AMD64/EMT64 architecture)
#                           I64 (Intel IA64 architecture)
#                           If not specified it will default to the
#                           BUILD_CPU environment variable, failing that
#                           It will default to the
#                           PROCESSOR_ARCHITECTURE/ARCHITEW6432 environment variables
#                           or failing that it will default to X86.
#                 WINVER    Compile for specified Windows version
#                           WINNT   for Windows 2000 and up(default)
#                           WINXP   for Windows XP and up
#                           WIN2003 for Windows 2003 and up
#                           VSITA   for Windows Vista and up
#                           Deprecated targets (may not even compile):
#                               NT4     for Windows NT4 and up
#                               WIN9X   for Windows 95, 98 and Me
#                 BUILD     Build version
#                           RETAIL or RELEASE (default)
#                           DEBUG
#               UNICODE     Build unicode version
#                           If definded and not empty -D_UNICODE is added
#                           to CFLAGS; -D_MBCS is added otherwise
# Environment variables  used:
#           EXTRA_CFLAGS    Added to the common CFLAGS
#           EXTRA_CXXFLAGS  Added to the common CXXFLAGS
#           EXTRA_LIBS      Added to the common LIBS
#           EXTRA_LFLAGS    Added to the common LFLAGS
#           EXTRA_RCFLAGS   Added to the common RCFLAGS
#
# Compiler tools environment variables:
#                 CC        C compiler  (defaults to cl.exe)
#                 LINK      Linker (defaults to link.exe)
#                 RC        Resource compiler (defaults to rc.exe)
#                 MT        Manifest toolkit (defaults to mt.exe)
#
# Originally contributed by Mladen Turk <mturk jboss.com>
#
# ====================================================================
#

# C/C++ compiler
!IF !DEFINED(CC) || "$(CC)" == ""
CC = cl.exe
!ENDIF
# Linker
!IF !DEFINED(LINK) || "$(LINK)" == ""
LINK = link.exe
!ENDIF
# Resource Compiler
!IF !DEFINED(RC) || "$(RC)" == ""
RC = rc.exe
!ENDIF
# Manifest toolkit
!IF !DEFINED(MT) || "$(MT)" == ""
MT = mt.exe
!ENDIF

# Project Target
TARGET  = DLL
UNICODE = 1
PROJECT = jansi

# If CPU is not defined, apply defaults
!IF !DEFINED(CPU) || "$(CPU)" == ""
# Set BUILD_CPU if it is not yet set
!IF !DEFINED(BUILD_CPU) || "$(BUILD_CPU)" == ""
!IF "$(PROCESSOR_ARCHITECTURE)" == ""
!IF "$(PROCESSOR_ARCHITEW6432)" == ""
# Default to x86, will be upcased later
BUILD_CPU=x86
!ELSE
BUILD_CPU=$(PROCESSOR_ARCHITEW6432)
!ENDIF
!ELSE
BUILD_CPU=$(PROCESSOR_ARCHITECTURE)
!ENDIF
!ENDIF
# Check BUILD_CPU and reset value if necessary
!IF "$(BUILD_CPU)" == "i386" || "$(BUILD_CPU)" == "x86" || "$(BUILD_CPU)" == "i686"
CPU=X86
!ENDIF
!IF "$(BUILD_CPU)" == "amd64" || "$(BUILD_CPU)" == "x86_64" || "$(BUILD_CPU)" == "x64"
CPU=X64
!ENDIF
!IF "$(BUILD_CPU)" == "ia64" || "$(BUILD_CPU)" == "i64"
CPU=I64
!ENDIF
# did we manage to set CPU?
!IF !DEFINED(CPU) || "$(CPU)" == ""
!ERROR Unexpected value of BUILD_CPU: $(BUILD_CPU) or PROCESSOR_ARCHITECTURE=$(PROCESSOR_ARCHITECTURE) or PROCESSOR_ARCHITEW6432=$(PROCESSOR_ARCHITEW6432).
!ENDIF
!ENDIF

!IF "$(CPU)" != "X86"
!IF "$(CPU)" != "X64"
!IF "$(CPU)" != "I64"
!ERROR Must specify CPU environment variable (X86, X64, I64) $(CPU)
!ENDIF
!ENDIF
!ENDIF

!IF !DEFINED(WINVER) || "$(WINVER)" == ""
WINVER=WINXP
!ENDIF


!IF "$(WINVER)" != "WINNT"
!IF "$(WINVER)" != "WINXP"
!IF "$(WINVER)" != "WIN2003"
!IF "$(WINVER)" != "VISTA"
!IF "$(WINVER)" != "WIN7"
!IF "$(WINVER)" != "WIN8"
!ERROR Must specify WINVER environment variable (WINNT, WINXP, WIN2003, VISTA, WIN7, WIN8)
!ENDIF
!ENDIF
!ENDIF
!ENDIF
!ENDIF
!ENDIF

!IF "$(WINVER)" == "WINNT"
NMAKE_WINVER = 0x0500
_WIN32_IE = 0x0500
!ELSEIF "$(WINVER)" == "WINXP"
NMAKE_WINVER = 0x0501
_WIN32_IE = 0x0600
!ELSEIF "$(WINVER)" == "WIN2003"
NMAKE_WINVER = 0x0502
_WIN32_IE = 0x0600
!ELSEIF "$(WINVER)" == "VISTA"
NMAKE_WINVER = 0x0600
_WIN32_IE = 0x0700
!ELSEIF "$(WINVER)" == "WIN7"
NMAKE_WINVER = 0x0700
_WIN32_IE = 0x0800
!ELSEIF "$(WINVER)" == "WIN8"
NMAKE_WINVER = 0x0800
_WIN32_IE = 0x0900
!ELSE
!ERROR Must specify WINVER environment variable (WINNT, WINXP, WIN2003, VISTA, WIN7, WIN8)
!ENDIF

NMAKE_WINNT = -D_WINNT -D_WIN32_WINNT=$(NMAKE_WINVER) -DWINVER=$(NMAKE_WINVER) -D_WIN32_IE=$(_WIN32_IE)

!IF !DEFINED(BUILD) || "$(BUILD)" == ""
BUILD=RELEASE
!ENDIF
!IFDEF RELEASE
BUILD=RELEASE
!ENDIF
!IFDEF DEBUG
BUILD=DEBUG
!ENDIF
!IFDEF NODEBUG
BUILD=RELEASE
!ENDIF

!IF "$(BUILD)" != "RELEASE"
!IF "$(BUILD)" != "DEBUG"
!ERROR Must specify BUILD environment variable (RELEASE, DEBUG)
!ENDIF
!ENDIF

# Common flags for all platforms
CMN_CFLAGS = -c -nologo -DWIN32 -D_WIN32 -D_WINDOWS $(NMAKE_WINNT) -W3
!IF "$(TARGET)" == "EXE"
CMN_CFLAGS = $(CMN_CFLAGS) -D_CONSOLE
!ENDIF
# Mark that extern C newer throws C++ exception
CMN_CFLAGS = $(CMN_CFLAGS) -EHsc

!IF !DEFINED(UNICODE) || "$(UNICODE)" == ""
CMN_CFLAGS = $(CMN_CFLAGS) -D_MBCS -DMBCS
!ELSE
CMN_CFLAGS = $(CMN_CFLAGS) -D_UNICODE -DUNICODE
!ENDIF

!IF "$(CPU)" == "X86"
CPU_CFLAGS = -D_X86_=1
MACHINE=X86
MACHINE_LC=i386
!ELSEIF "$(CPU)" == "X64"
CPU_CFLAGS = -D_AMD64_=1 -DWIN64 -D_WIN64
MACHINE=AMD64
MACHINE_LC=amd64
!ELSEIF "$(CPU)" == "I64"
CPU_CFLAGS = -D_IA64_=1 -DWIN64 -D_WIN64
MACHINE=IA64
MACHINE_LC=ia64
!ENDIF

!IF "$(BUILD)" == "RELEASE"
!IF "$(CPU)" == "X86"
OPT_CFLAGS = -O2 -Ob2 -Oy- -Zi -DNDEBUG
!ELSE
OPT_CFLAGS = -O2 -Ob2 -Zi -DNDEBUG
!ENDIF
!ELSE
OPT_CFLAGS = -Od -Zi -DDEBUG -D_DEBUG
!ENDIF

!IF DEFINED(STATIC_CRT)
CRT_CFLAGS = -D_MT -MT
!ELSE
CRT_CFLAGS = -D_MT -MD
!ENDIF

!IF "$(BUILD)" == "DEBUG"
CRT_CFLAGS = $(CRT_CFLAGS)d
!ENDIF

CFLAGS = $(CMN_CFLAGS) $(CPU_CFLAGS) $(OPT_CFLAGS) $(CRT_CFLAGS)

!IF DEFINED(EXTRA_CFLAGS)
CFLAGS = $(CFLAGS) $(EXTRA_CFLAGS)
!ENDIF

# Cleanup CXXFLAGS
CXXFLAGS =
!IF DEFINED(EXTRA_CXXFLAGS)
CXXFLAGS = $(EXTRA_CXXFLAGS)
!ENDIF

# Linker section
LIBS = kernel32.lib
# Extra libs from command line or env
!IF DEFINED(EXTRA_LIBS)
LIBS = $(LIBS) $(EXTRA_LIBS)
!ENDIF

# Run-Time Error Checks
!IF "$(BUILD)" == "DEBUG"
!IF DEFINED(RTC_CHECK)
LIBS = $(LIBS) RunTmChk.lib
CFLAGS = $(CFLAGS) -RTC1
!ENDIF
!ENDIF

# Always add debugging to the linker
OPT_LFLAGS = /INCREMENTAL:NO /DEBUG
!IF "$(BUILD)" == "RELEASE"
OPT_LFLAGS = /OPT:REF
!ENDIF

LFLAGS = /NOLOGO /DLL /SUBSYSTEM:WINDOWS /MACHINE:$(MACHINE)

!IF DEFINED(EXTRA_LFLAGS)
LFLAGS = $(LFLAGS) $(EXTRA_LFLAGS)
!ENDIF

!IF "$(TARGET)" != "LIB"
LFLAGS = $(LFLAGS) $(OPT_LFLAGS)
!ENDIF

# Resource compiler flags

RCFLAGS=/l 0x409
!IF "$(BUILD)" == "RELEASE"
RCFLAGS = $(RCFLAGS) /d "NDEBUG"
!ELSE
RCFLAGS = $(RCFLAGS) /d "_DEBUG" /d "DEBUG"
!ENDIF
RCFLAGS = $(RCFLAGS)
!IF DEFINED(EXTRA_RCFLAGS)
RCFLAGS = $(RCFLAGS) $(EXTRA_RCFLAGS)
!ENDIF


# Build Target dir e.g. WINNT_I386_RELEASE_DLL
!IF !DEFINED(WORKDIR) || "$(WORKDIR)" == ""
!IF !DEFINED(WORKDIR_EXT) || "$(WORKDIR_EXT)" == ""
WORKDIR = $(WINVER)_$(CPU)_$(TARGET)_$(BUILD)
WORKDIR_DLL = $(WINVER)_$(CPU)_DLL_$(BUILD)
!ELSE
WORKDIR = $(WINVER)_$(CPU)_$(BUILDIR_EXT)_$(BUILD)
!ENDIF
!ENDIF

CLEANTARGET=if exist "$(WORKDIR)\$(NULL)" rd /s /q $(WORKDIR)
MAKEWORKDIR=if not exist "$(WORKDIR)\$(NULL)" mkdir $(WORKDIR)
MAKEINSTALL=if not exist "$(INSTALLLOC)\$(NULL)" mkdir $(INSTALLLOC)

!IF DEFINED(JAVA_HOME) && "$(JAVA_HOME)" != ""
JAVA_INCLUDES=-I "$(JAVA_HOME)\include" -I "$(JAVA_HOME)\include\win32"
!ENDIF

!IF !DEFINED(SRCDIR) || "$(SRCDIR)" == ""
SRCDIR = .\..\..
!ENDIF
!IF !DEFINED(PREFIX) || "$(PREFIX)" == ""
PREFIX = .\..\..\target
!ENDIF

#
# ====================================================================
#

INCLUDES = -I$(SRCDIR)\src\windows -I$(SRCDIR)\src $(JAVA_INCLUDES)

PDBFLAGS = -Fo$(WORKDIR)\ -Fd$(WORKDIR)\$(PROJECT)-src
OBJECTS = \
	$(WORKDIR)\hawtjni.obj \
	$(WORKDIR)\jansi.obj \
	$(WORKDIR)\jansi_stats.obj \
	$(WORKDIR)\jansi_structs.obj

BUILDDLL = $(WORKDIR)\$(PROJECT).dll
!IF "$(CPU)" == "X64"
BUILDLOC = $(PREFIX)\x64
!ELSEIF "$(CPU)" == "I64"
BUILDLOC = $(PREFIX)\i64
!ELSE
BUILDLOC = $(PREFIX)\x86
!ENDIF
BUILDPDB = $(WORKDIR)\$(PROJECT).pdb
BUILDRES = $(WORKDIR)\$(PROJECT).res
BUILDMAN = $(BUILDDLL).manifest

all : $(WORKDIR) $(BUILDDLL)

$(BUILDLOC) :
	@if not exist "$(BUILDLOC)\$(NULL)" mkdir "$(BUILDLOC)"

$(WORKDIR) :
	@$(MAKEWORKDIR)

{$(SRCDIR)\src}.c{$(WORKDIR)}.obj:
	$(CC) $(CFLAGS) $(INCLUDES) $(PDBFLAGS) $<

$(BUILDRES): $(SRCDIR)/src/windows/jansi.rc
	$(RC) $(RCFLAGS) /i "$(SRCDIR)\src" /i "$(SRCDIR)\src\windows" /fo $(BUILDRES) $(SRCDIR)/src/windows/jansi.rc

$(BUILDDLL): $(WORKDIR) $(OBJECTS) $(BUILDRES)
	$(LINK) $(LFLAGS) $(OBJECTS) $(BUILDRES) $(LIBS) $(LDIRS) /pdb:$(BUILDPDB) /out:$(BUILDDLL)
	IF EXIST $(BUILDMAN) \
		$(MT) -nologo -manifest $(BUILDMAN) -outputresource:$(BUILDDLL);2

clean:
	@$(CLEANTARGET)

install: $(BUILDLOC) $(WORKDIR) $(BUILDDLL)
	@xcopy "$(WORKDIR)\*.dll" "$(BUILDLOC)" /Y /Q

## jansi-native 1.0

=== debian/changelog ===
jansi-native (1.0-4) unstable; urgency=medium

  * Team upload.
  * debian/control:
    - update Description (Closes: #708291)
    - remove DMUA flag
    - bump Standards-Version to 3.9.5 (no changes)
    - update Vcs- fields to canonical URLs

 -- tony mancill <tmancill@debian.org>  Mon, 23 Dec 2013 21:56:06 -0800

jansi-native (1.0-3) unstable; urgency=low

  * Team upload.
  * Add Maven artifacts. Thanks to James Page for supplying the patch.
    (Closes: #635027)

 -- Torsten Werner <twerner@debian.org>  Sat, 30 Jul 2011 19:07:15 +0200

jansi-native (1.0-2) unstable; urgency=low

  * Update watch file.
  * Remove dependency on default-jre-headless in order to comply with
    Debian Java policy. (Closes: #618298).

 -- Miguel Landaeta <miguel@miguel.cc>  Mon, 21 Mar 2011 19:23:31 -0430

jansi-native (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #591727),

 -- Miguel Landaeta <miguel@miguel.cc>  Thu, 05 Aug 2010 20:43:19 -0430

=== debian/control ===
Source: jansi-native
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Miguel Landaeta <miguel@miguel.cc>
Build-Depends: debhelper (>= 7.0.50~),
 default-jdk,
 javahelper,
 libhawtjni-runtime-java,
 maven-repo-helper
Standards-Version: 3.9.5
Homepage: http://jansi.fusesource.org/
Vcs-Git: git://anonscm.debian.org/pkg-java/jansi-ansi.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/jansi-native.git

Package: libjansi-native-java
Architecture: all
Depends: libhawtjni-runtime-java, ${misc:Depends}
Description: Java library for ANSI escape sequences - native component
 Jansi is a small java library that allows you to use ANSI escape
 sequences to format console output across all platforms.
 .
 jansi-native implements the native libraries used by the Jansi project.

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH=/usr/share/java/hawtjni-runtime.jar

%:
	dh --with javahelper --with maven-repo-helper $@

override_dh_auto_build:
	jh_build jansi-native.jar src/main/java

get-orig-source:
	cd $(dir $(firstword $(MAKEFILE_LIST)))../ && \
	uscan \
		--verbose \
		--no-symlink \
		--destdir $(CURDIR)      \
		--watchfile debian/watch \
		--force-download

=== debian/watch ===
version=3
http://repo1.maven.org/maven2/org/fusesource/jansi/jansi-native/ \
(1[0-9\.]*)/ \
debian debian/orig-tar.sh

## jansi-native 1.6

=== debian/changelog ===
jansi-native (1.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.6. (Closes: #617875)
  * Switch to compat level 10.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 3.9.8.
  * Vcs fields: Use cgit and https.
  * Switch from Ant to Maven build system.
  * Remove clean file.
  * Update debian/watch and track releases at github.com.
  * Add maven specific Debian files and update build-dependencies.
  * Use --no-parent option.
  * Update debian/copyright and switch to copyright format 1.0.

 -- Markus Koschany <apo@debian.org>  Wed, 19 Oct 2016 19:21:36 +0200

=== debian/control ===
Source: jansi-native
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Miguel Landaeta <miguel@miguel.cc>
Build-Depends:
 debhelper (>= 10),
 default-jdk,
 libhawtjni-runtime-java,
 maven-debian-helper,
 libmaven-bundle-plugin-java,
 libmaven-plugin-tools-java
Standards-Version: 3.9.8
Homepage: http://jansi.fusesource.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-java/jansi-ansi.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jansi-native.git

Package: libjansi-native-java
Architecture: all
Depends:
 ${maven:Depends},
 ${misc:Depends}
Recommends:
 ${maven:OptionalDepends}
Description: Java library for ANSI escape sequences - native component
 Jansi is a small java library that allows you to use ANSI escape
 sequences to format console output across all platforms.
 .
 jansi-native implements the native libraries used by the Jansi project.

## jansi-native 1.7

=== debian/changelog ===
jansi-native (1.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.7.
  * Declare compliance with Debian Policy 4.0.0.
  * Fix Vcs-Git address.
  * Use https for Format field.
  * Change copyright holder to the original authors according to the sources.

 -- Markus Koschany <apo@debian.org>  Wed, 12 Jul 2017 09:20:08 +0200

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
  maven-debian-helper,
  libmaven-bundle-plugin-java,
  libmaven-plugin-tools-java
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://jansi.fusesource.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/jansi-ansi.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/jansi-native.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jansi-native.git
 
 Package: libjansi-native-java

## jansi-native 1.8

=== src/main/native-package/src/windows/Makefile ===
--- 
+++ 
@@ -1,5 +1,4 @@
-# Copyright (C) 2013, Red Had, Inc. and/or its 
-# subsidiaries or affiliates.  All rights reserved.
+# Copyright (C) 2013-2017 the original author(s).
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
@@ -323,7 +322,9 @@
 OBJECTS = \
 	$(WORKDIR)\hawtjni.obj \
 	$(WORKDIR)\jansi.obj \
-	$(WORKDIR)\jansi_stats.obj \
+	$(WORKDIR)\jansi_isatty.obj \
+    $(WORKDIR)\jansi_ttyname.obj \
+    $(WORKDIR)\jansi_stats.obj \
 	$(WORKDIR)\jansi_structs.obj
 
 BUILDDLL = $(WORKDIR)\$(PROJECT).dll

=== debian/changelog ===
jansi-native (1.8-2) unstable; urgency=medium

  * Add myself to Uploaders (there were no human maintainers)
  * Freshen years in debian/copyright
  * Update Homepage URL
  * Use debhelper-compat 13
  * Set Rules-Requires-Root: no in debian/control
  * Bump Standards-Version to 4.6.2
  * Update debian/watch to find Github releases

 -- tony mancill <tmancill@debian.org>  Sun, 31 Dec 2023 14:36:45 -0800

jansi-native (1.8-1) unstable; urgency=medium

  * Team upload.

  [ Miguel Landaeta ]
  * Remove myself from uploaders list. (Closes: #871866)
  * Update copyright info.
  * Simplify d/rules.

  [ Emmanuel Bourg ]
  * New upstream release
  * Removed the unused build dependency on libmaven-plugin-tools-java
  * Standards-Version updated to 4.2.1
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 26 Nov 2018 13:51:12 +0100

=== debian/control ===
Source: jansi-native
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: tony mancill <tmancill@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 libhawtjni-runtime-java,
 maven-debian-helper,
 libmaven-bundle-plugin-java
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/java-team/jansi-native.git
Vcs-Browser: https://salsa.debian.org/java-team/jansi-native
Homepage: https://fusesource.github.io/jansi/
Rules-Requires-Root: no

Package: libjansi-native-java
Architecture: all
Depends:
 ${maven:Depends},
 ${misc:Depends}
Recommends:
 ${maven:OptionalDepends}
Description: Java library for ANSI escape sequences - native component
 Jansi is a small java library that allows you to use ANSI escape
 sequences to format console output across all platforms.
 .
 jansi-native implements the native libraries used by the Jansi project.

=== debian/watch ===
version=4
opts=dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/ \
https://github.com/fusesource/jansi-native/tags \
.*/archive/refs/tags/(?:upstream/)?(?:v||version-|release-|X|R|r)jansi-native-@ANY_VERSION@\.tar\.gz
